Bug 963114 - Tumbleweed snapshot 20160117 dvd fails to recognize NVME SSD
Tumbleweed snapshot 20160117 dvd fails to recognize NVME SSD
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
64bit Other
: P2 - High : Major (vote)
: ---
Assigned To: Steffen Winterfeldt
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 02:25 UTC by Tristan Jones
Modified: 2016-03-18 09:47 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
lscpi -vk (10.19 KB, text/x-log)
2016-01-22 14:10 UTC, Bruno Friedmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tristan Jones 2016-01-22 02:25:12 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/48.0.2564.82 Safari/537.36
Build Identifier: 

The tumblweed installation DVD will not recognize a NVME SSD. December's snapshots recognized the drive just fine. I would like to do a fresh install and the installer will not recognize the drive. 

I did verify the integrity of the ISO, and tried a few other USB drives. 

All the snap shots after late November recognizes the drive, and even Leap will recognize the drive. 

So I firmly believe the issue has to deal with the 20160117 snap shot installer. 

Reproducible: Always

Steps to Reproduce:
1.Boot the 20160117 snap shot dvd 
2.Search for NVME drive
3.
Actual Results:  
No drive found

Expected Results:  
Find the drive and install the OS
Comment 1 Bruno Friedmann 2016-01-22 14:10:59 UTC
Created attachment 662860 [details]
lscpi -vk

lsmod on a install leap kernel or previous tw show nvme loaded and active
Comment 2 Bruno Friedmann 2016-01-22 14:15:29 UTC
I reaffect to Kernel (even it's happening during installation) this bug has nothing to do with yast2
Comment 3 Johannes Thumshirn 2016-01-22 14:28:06 UTC
Hi,
Can you please provide the output of
> zgrep NVME /proc/config.gz
and
> find /lib/modules/$(uname -r)/kernel/drivers -name nvme.ko

In kernel 4.4 the nvme driver was move from drivers/block into it's own directory and maybe something went wrong with the config or build there
Comment 4 Bruno Friedmann 2016-01-22 14:39:49 UTC
In console at install time 

zgrep NVME /proc/config.gz
CONFIG_BLK_DEV_NVME=m
CONFIG_NVMEM=m


find /lib/modules/$(uname -r)/kernel/drivers -name nvme.ko

this one doesn't work, directly only 
/lib/modules/4.4.0-1-default/initrd exist

but even inside this one no nvme.ko exists.
Comment 5 Takashi Iwai 2016-01-22 14:55:04 UTC
It's missing in the installation image, indeed.  installation-images/etc/module.list doesn't contain drivers/nvme/ but only drivers/block/.
The location of nvme driver was changed in 4.4 from drivers/block to its own subdirectory now.
Comment 6 Steffen Winterfeldt 2016-01-22 15:24:39 UTC
fixed

https://github.com/openSUSE/installation-images/pull/78
Comment 7 Tristan Jones 2016-01-30 19:30:20 UTC
Same thing is happening in the 20160126 snapshot. 

The only thing that has changed is now it takes a really long time to recognize all the drives. (5 minutes or so)

And just like last time, Leap works fine, and past snapshots work fine. Oh and the MD5 checksum comes out clean.
Comment 8 Takashi Iwai 2016-02-01 08:32:35 UTC
The fixed package is still in QA, not released yet.